// 1. Опишите своими словами, что такое метод обьекта
// Метед объекта это функция, с помощью которой мы можем взаимодействовать, изменять значения свойств данного объекта.
// 2. Каким типом данных является значение свойства объекта?
// Значение свойства может иметь любой тип данных, а так же другие объекты.
// 3. Объект это ссылочный тип данных. Что означает это понятие?
// Это значит, что присвоив имя объекта другой переменной, мы не создадим точно объект с такими же свойствами, с присвоим новой перемонной ссылку на старый объект, и при изменении нового объекта данные будут меняться и в старом. По сути это один и тот же объект.

// ## Задание

// Реализовать функцию для создания объекта "пользователь". Задача должна быть реализована на языке javascript, без использования фреймворков и сторонник библиотек (типа Jquery).

// #### Технические требования:

// - Написать функцию `createNewUser()`, которая будет создавать и возвращать объект `newUser`.
// - При вызове функция должна спросить у вызывающего имя и фамилию.
// - Используя данные, введенные пользователем, создать объект `newUser` со свойствами `firstName` и `lastName`.
// - Добавить в объект `newUser` метод `getLogin()`, который будет возвращать первую букву имени пользователя, соединенную с фамилией пользователя, все в нижнем регистре (например, `Ivan Kravchenko → ikravchenko`).
// - Создать пользователя с помощью функции `createNewUser()`. Вызвать у пользователя функцию `getLogin()`. Вывести в консоль результат выполнения функции.

// #### Необязательное задание продвинутой сложности:

// - Сделать так, чтобы свойства `firstName` и `lastName` нельзя было изменять напрямую. Создать функции-сеттеры `setFirstName()` и `setLastName()`, которые позволят изменить данные свойства.

function createNewUser() {
  let userName = prompt('Enter your name');
  let userSurname = prompt('Enter your surname');

  let newUser = {};

  newUser.firstName = userName;
  newUser.lastName = userSurname;

  newUser.getLogin = function () {
    return this.firstName[0].toLowerCase() + this.lastName.toLowerCase();
  };
  let result = newUser.getLogin();
  console.log(result);
}

createNewUser();
